import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature } from 'topojson';
const jsonIndianstate =
    'https://gist.githubusercontent.com/RajeevMukhesh/5841a8905c9ba0d94f4568f9101eade2/raw/fd994e6ea3eccdff9964743c7c9d1201679b3c4a/IndiaState.topojson';

export const useData = (selArea) => {
    let [data, setData] = useState(null);
    useEffect(() => {
    const bundle = {}
    json(jsonIndianstate).then(stateTopology => {
      const state = stateTopology.objects.india;
      setData({'state':feature(stateTopology,state)})
    });  
  }, []);
  
  return data;
  }